Skip to main content

File

NewBeta

File objects represent the file of an attachment. Use this endpoint to get a temporary link to download an individual attachment file.

The File Object

Attributes


idstring
AppFolio ID of the attachment.
Example:
"1234"

signedUrlstring
Signed URL to download the attachment file.
Example:
"https://s3.amazonaws.com/appfolio-attachments/example-signed-url"

fileNamestring
Original file name of the attachment.
Example:
"document.pdf"

contentTypestring
MIME content type of the attachment file.
Example:
"application/pdf"

fileSizeinteger
File size in bytes.
Example:
123456

The File Object
{
"id": "1234",
"signedUrl": "https://s3.amazonaws.com/appfolio-attachments/example-signed-url",
"fileName": "document.pdf",
"contentType": "application/pdf",
"fileSize": 123456
}

Get File

GET /v1/file?id=<id>

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The file endpoint returns the file associated with an attachment. Use this endpoint to get a temporary link to download an individual attachment file.

Parameters


idstring
AppFolio ID of the attachment to download.

 

Returns


The standard List Response Format with a data property containing an AttachmentUrl object.

GET /v1/file?id=1234
curl -X GET 'https://api.skywalkapi.com/v1/file?id=1234' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/file",
"query": {
"id": "1234"
},
"count": 1,
"lastUpdated": 1610992228
},
"data": [
{
"id": "1234",
"signedUrl": "https://s3.amazonaws.com/appfolio-attachments/example-signed-url",
"fileName": "document.pdf",
"contentType": "application/pdf",
"fileSize": 123456
}
]
}